AWorld Lab API Reference
API ReferenceApp API (Consumer)
Dashboard API (Admin)
API ReferenceApp API (Consumer)
Dashboard API (Admin)
  1. LearningPathAssignments
  • ActivityLogs
    • Create activity log
    • List activity logs
    • Get activity log
  • Analytics
    • Get community metrics
  • Badges
    • List badge configurations
    • List badges
    • Get badge
    • List badge configuration tag assignments
    • Get badge configuration translation
    • Get badge configuration tag assignment
  • LearningGroups
    • List learning groups
    • Get learning group
    • List learning group items
    • List learning group tag assignments
    • Get learning group translation
    • Get learning group tag assignment
  • LearningPathAssignments
    • List learning path assignments
      GET
    • Get learning path assignment
      GET
    • Get current attempt
      GET
    • List learning path assignment items
      GET
    • Retry learning path assignment
      POST
    • List learning path assignment tags
      GET
    • Get learning path assignment translation
      GET
    • Get learning path assignment tag
      GET
  • Missions
    • List missions
    • Get mission
  • Quizzes
    • List quizzes
    • Get quiz
    • Submit quiz answer
    • List quiz tag assignments
    • Get quiz translation
    • Get quiz tag assignment
  • RuntimeLeaderboards
    • List runtime leaderboards
    • Get runtime leaderboard
    • Get leaderboard rankings
    • Get my ranking
  • Slides
    • List slides
    • Get slide
    • Submit slide progress
    • List slide tag assignments
    • Get slide translation
    • Get slide tag assignment
  • Streaks
    • List streaks
  • Users
    • Get current user
    • Update current user
    • Delete current user
    • List current user learning group logs
    • Get current user permissions
    • Get current user principal
    • Get current user referral code
    • Get current user stats
    • List current user tag assignments
    • Get current user tag assignment
  • VirtualBalances
    • List virtual balances
    • Get virtual balance
  • VirtualTransactions
    • List virtual transactions
    • Create virtual transaction
    • Get virtual transaction
    • Redeem virtual transaction
  • WorkspaceCodes
    • Redeem a workspace code
  • WorkspaceConfigurations
    • Get workspace configuration
  • Surveys
    • Get survey
    • Get survey progress
    • Submit survey answers
  • Schemas
    • CommunityMetricsResponse
    • CreateActivityResponse
    • CreateVirtualTransactionResponse
    • CurrentAttemptResponse
    • DeleteCurrentUserResponse
    • GetActivityLogResponse
    • GetBadgeConfigurationTagResponse
    • GetAppSurveyResponse
    • GetBadgeConfigurationTranslationResponse
    • GetBadgeResponse
    • GetCurrentUserPrincipalResponse
    • GetCurrentUserPermissionsResponse
    • GetCurrentUserReferralCodeResponse
    • GetCurrentUserResponse
    • GetCurrentUserStatsResponse
    • GetCurrentUserTagResponse
    • GetLearningGroupResponse
    • GetLearningGroupTagAssignmentResponse
    • GetLearningGroupTranslationResponse
    • GetLearningPathAssignmentResponse
    • GetLearningPathAssignmentTagResponse
    • GetLearningPathAssignmentTranslationResponse
    • GetMissionResponse
    • GetQuizResponse
    • GetQuizTagResponse
    • GetQuizTranslationResponse
    • GetRuntimeLeaderboardRankingsMeResponse
    • GetRuntimeLeaderboardRankingsResponse
    • GetRuntimeLeaderboardResponse
    • GetSlideResponse
    • GetSlideTagResponse
    • GetSlideTranslationResponse
    • GetVirtualBalanceResponse
    • GetVirtualTransactionResponse
    • GetWorkspaceConfigurationResponse
    • GetSurveyProgressResponse
    • JsonLogicExpression
    • Lang
    • ListActivityLogsResponse
    • ListBadgeConfigurationsResponse
    • ListBadgeConfigurationTagAssignmentsResponse
    • ListBadgesResponse
    • ListCurrentUserLearningGroupLogsResponse
    • ListCurrentUserTagAssignmentsResponse
    • ListLearningGroupItemsResponse
    • ListLearningGroupsResponse
    • ListLearningGroupTagAssignmentsResponse
    • ListLearningPathAssignmentItemsResponse
    • ListLearningPathAssignmentsResponse
    • ListLearningPathAssignmentTagsResponse
    • ListMissionsResponse
    • ListQuizTagAssignmentsResponse
    • ListQuizzesResponse
    • ListRuntimeLeaderboardsResponse
    • ListSlidesResponse
    • ListSlideTagAssignmentsResponse
    • ListStreaksResponse
    • ListVirtualBalancesResponse
    • ListVirtualTransactionsResponse
    • RedeemVirtualTransactionResponse
    • RedeemWorkspaceCodeResponse
    • RetryLearningPathAssignmentResponse
    • SourceRegion
    • SubmitQuizResponse
    • SubmitSlideResponse
    • Timezone
    • UpdateCurrentUserResponse
    • SubmitSurveyResponse
  1. LearningPathAssignments

Get learning path assignment

GET
/learning-path-assignments/{learningPathAssignmentId}
LearningPathAssignments
Retrieve a specific learning path assignment by ID, with optional additional fields (translation, tags, items, progress).

Request

Path Params

Query Params

Responses

🟢200OK
application/json
Learning path assignment retrieved successfully
Body

🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/learning-path-assignments/?context&fields'
Response Response Example
{
    "learningPathId": "string",
    "origin": "CATALOG",
    "catalogWorkspaceId": "stringstri",
    "catalogLearningPathId": "string",
    "legacyLearningPathId": "string",
    "title": "string",
    "description": "string",
    "image": "http://example.com",
    "estimatedDuration": 0,
    "defaultLang": "en",
    "langs": [
        "en"
    ],
    "items": [],
    "activities": [
        {
            "itemId": "string",
            "itemType": "activity",
            "languages": [
                "en"
            ]
        }
    ],
    "contentThemeId": "string",
    "defaultLayoutId": "string",
    "background": "string",
    "textColor": "string",
    "boxColor": "string",
    "backgroundImage": "http://example.com",
    "backgroundSize": "cover",
    "backgroundPosition": "center",
    "fontFamily": "string",
    "contentJustify": "start",
    "completionRule": {
        "==": [
            1,
            1
        ]
    },
    "outcomeRule": {
        "==": [
            1,
            1
        ]
    },
    "startRule": {
        "==": [
            1,
            1
        ]
    },
    "learningPathAssignmentId": "string",
    "userId": "string",
    "learningPathRuleId": "string",
    "groupId": "string",
    "periodId": "string",
    "timeframeType": "PERMANENT",
    "startsAt": "2019-08-24T14:15:22.123Z",
    "endsAt": "2019-08-24T14:15:22.123Z",
    "state": "PENDING",
    "visibility": "LOCKED",
    "unlockedAt": "2019-08-24T14:15:22.123Z",
    "unlockedByRuleId": "string",
    "currentAttempt": 1,
    "createdAt": "2019-08-24T14:15:22.123Z",
    "updatedAt": "2019-08-24T14:15:22.123Z",
    "tags": [
        {
            "tagId": "string",
            "priority": 0,
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z"
        }
    ],
    "translation": {
        "workspaceId": "stringstri",
        "learningPathId": "string",
        "lang": "en",
        "title": "string",
        "image": "http://example.com",
        "description": "string",
        "accountId": "stringstri",
        "sourceRegion": "us-east-1",
        "createdAt": "2019-08-24T14:15:22.123Z",
        "updatedAt": "2019-08-24T14:15:22.123Z"
    },
    "progress": {
        "status": "NOT_STARTED",
        "outcome": "SUCCESS",
        "attempt": 1,
        "progress": {
            "total": 0,
            "completed": 0,
            "percentage": 0
        },
        "items": [
            {
                "itemId": "string",
                "itemType": "activity",
                "progress": "START",
                "outcome": "SUCCESS",
                "childItems": [
                    {
                        "itemId": "string",
                        "itemType": "string",
                        "outcome": "SUCCESS"
                    }
                ]
            }
        ],
        "currentItemId": "string",
        "currentItemType": "activity",
        "startedAt": "string",
        "completedAt": "string"
    }
}
Modified at 2026-04-02 15:44:17
Previous
List learning path assignments
Next
Get current attempt
Built with